Class | Chef::Resource::RemoteFile
In: | lib/chef/resource/remote_file.rb
Parent: | Chef::Resource::File

### Methods

checksum cookbook new provider source

### Public Class methods

new(name, run_context=nil)

### Public Instance methods

checksum(args=nil)
cookbook(args=nil)
provider()

The provider that should be used for this resource.

### Returns:

Chef::Provider::RemoteFile when the source is an absolute URI, like

                                  http://www.google.com/robots.txt

Chef::Provider::CookbookFile when the source is a relative URI, like

                                  'myscript.pl', 'dir/config.conf'

source(args=nil)

[Validate]